<?php

/*
<!-- Title: Server Status PHP Script & API Mash-up -->
<!-- Author: Adam Boutcher -->
*/

//Get config file
require 'config/mapping.config.php';

//Get IP from the first page.
$ip = $_GET['ip_address'];

//Cache filename
$cachefile = "cache/".$ip.".html";

//cache age (1440minutes = 1day)
$cachetime = 1440 * 60; 

//Check Cache age and if it exsits
if (file_exists($cachefile) && (time() - $cachetime < filemtime($cachefile))) 
{
include($cachefile);
echo "<!-- Cached ".date('jS F Y H:i', filemtime($cachefile))."-->";
exit;
}

@$xmlstring = file_get_contents ( "http://www.infosniper.net/xml.php?ip_address=".$ip."&k=".$is_key );

@$xml = new SimpleXMLElement ( $xmlstring );
@$long = $xml->result[0]->longitude;
@$lat = $xml->result[0]->latitude;
@$city = $xml->result[0]->city;
@$country = $xml->result[0]->country;
@$flag = $xml->result[0]->countryflag;
@$qu = $xml->result[0]->queries;

if ($city == "Quota exceeded")
{
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head>
<!-- Title: Server Status PHP Script & API Mash-up -->
<!-- Author: Adam Boutcher -->
<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" type="text/css" href="scripts/deadstyle.css" />

<title>503 Service Unavailable | IP Mapping</title>
</head>
<body>
<h1>503 Service Unavailable</h1>
<p>Hello,<br/>I am the server and I have decided to have some time off. You get me flying accross the world lookig for these IP addresses and it isnt that easy at all. You always want the results NOW and not in an hours time, when do I get to put <em>my</em> Cat5e cables up and have a overly due new stick of ram?<br/> Well, I've decided to take it now. Come back soon and I should be all rested.</p>
<h3>You're favorite IP mapping server</h3>
</body>
</html>
<!-- No Cache Generated -->
<!-- InfoSniper.net Request Limit Reached. -->


<?php
die;
}

echo "<!-- New cache Generated -->\n";
	
// start the output buffer
ob_start();

//Everything below is cached.
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml">
<head>

<!-- Title: Server Status PHP Script & API Mash-up -->
<!-- Author: Adam Boutcher -->
<meta http-equiv="content-type" content="text/html; charset=utf-8"/>

<link rel="stylesheet" type="text/css" href="scripts/original_style.css" />

<title><?php echo $ip; ?> Physical Server Location</title>
    
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;sensor=false&amp;key=<?PHP echo $gmap_key?>" type="text/javascript"></script>
    
<script type="text/javascript">
    function initialize() {
          if (GBrowserIsCompatible()) {
        var map = new GMap2(document.getElementById("map_canvas"));
        var marker = new GMarker(new GLatLng(<?PHP echo $lat.",".$long; ?>));
        var html = '<div align="left"><h2>Server Info</h2>'+
            '<strong>IP:</strong> <em><?PHP echo $ip;?></em><br/>'+
            '<strong>City:</strong> <em><?PHP echo $city;?></em><br/>'+
            '<strong>Country:</strong> <img src="<?php echo $flag;?>" alt="<?PHP echo $country;?> Country Flag"/> <em><?PHP echo $country;?></em><br/>'+
            '</div>';

        map.setCenter(new GLatLng(<?PHP echo $lat.",".$long; ?>), 10);
        map.addOverlay(marker);
        marker.openInfoWindowHtml(html);
      }
    }
</script>
    
</head>
  
<body onload="initialize()" onunload="GUnload()">
<div  align="center"><div id="map_canvas" style="width: 500px; height: 300px"></div></div>
</body>
</html>

<?PHP echo "<!-- Query number: ".$qu." when cache was generated. -->"; ?>

<?php
//End of cache

if ($is_cache == "1")
{

// open the cache file for writing
$fp = fopen($cachefile, 'w');
// save the contents of output buffer to the file
fwrite($fp, ob_get_contents());
// close the file
fclose($fp);
}

// Send the output to the browser
ob_end_flush();

?>